org.fourthline.cling.support.model.dlna.message.header

## Enum DLNAHeader.Type

- java.lang.Object
- - java.lang.Enum<DLNAHeader.Type>
  - - org.fourthline.cling.support.model.dlna.message.header.DLNAHeader.Type

- All Implemented Interfaces:
    Serializable, Comparable<DLNAHeader.Type>
  Enclosing class:
    DLNAHeader<T>

      public static enum DLNAHeader.Type
      extends Enum<DLNAHeader.Type>

  Maps a standardized DLNA header to potential header subtypes.

- - ### Enum Constant Summary

    Enum Constants
    Enum Constant and Description
    `AvailableRange`
    `AvailableSeekRange`
    `BufferInfo`
    `ContentFeatures`
    `EventType`
    `FriendlyName`
    `GetAvailableSeekRange`
    `GetContentFeatures`
    `MaxPrate`
    `PeerManager`
    `PlaySpeed`
    `PRAGMA`
    `RealTimeInfo`
    `RTPAACDeInterleaving`
    `RTPAMRDeInterleaving`
    `RTPAMRWBPlusDeInterleaving`
    `RTPH264DeInterleaving`
    `SCID`
    `ScmsFlag`
    `Supported`
    `TimeSeekRange`
    `TransferMode`
    `WCT`
    `XSeekRange`

  - ### Method Summary

    All Methods Static Methods Instance Methods Concrete Methods
    Modifier and Type | Method and Description
    --- | ---
    `static DLNAHeader.Type` | `getByHttpName(String httpName)`
    `Class<? extends DLNAHeader>[]` | `getHeaderTypes()`
    `String` | `getHttpName()`
    `boolean` | `isValidHeaderType(Class<? extends DLNAHeader> clazz)`
    `static DLNAHeader.Type` | `valueOf(String name)` Returns the enum constant of this type with the specified name.
    `static DLNAHeader.Type[]` | `values()` Returns an array containing the constants of this enum type, in the order they are declared.

    - ### Methods inherited from class java.lang.Enum

      `clone, compareTo, equals, finalize, getDeclaringClass, hashCode, name, ordinal, toString, valueOf`

    - ### Methods inherited from class java.lang.Object

      `getClass, notify, notifyAll, wait, wait, wait`

- - ### Enum Constant Detail

    - #### TimeSeekRange

          public static final DLNAHeader.Type TimeSeekRange

    - #### XSeekRange

          public static final DLNAHeader.Type XSeekRange

    - #### PlaySpeed

          public static final DLNAHeader.Type PlaySpeed

    - #### AvailableSeekRange

          public static final DLNAHeader.Type AvailableSeekRange

    - #### GetAvailableSeekRange

          public static final DLNAHeader.Type GetAvailableSeekRange

    - #### GetContentFeatures

          public static final DLNAHeader.Type GetContentFeatures

    - #### ContentFeatures

          public static final DLNAHeader.Type ContentFeatures

    - #### TransferMode

          public static final DLNAHeader.Type TransferMode

    - #### FriendlyName

          public static final DLNAHeader.Type FriendlyName

    - #### PeerManager

          public static final DLNAHeader.Type PeerManager

    - #### AvailableRange

          public static final DLNAHeader.Type AvailableRange

    - #### SCID

          public static final DLNAHeader.Type SCID

    - #### RealTimeInfo

          public static final DLNAHeader.Type RealTimeInfo

    - #### ScmsFlag

          public static final DLNAHeader.Type ScmsFlag

    - #### WCT

          public static final DLNAHeader.Type WCT

    - #### MaxPrate

          public static final DLNAHeader.Type MaxPrate

    - #### EventType

          public static final DLNAHeader.Type EventType

    - #### Supported

          public static final DLNAHeader.Type Supported

    - #### BufferInfo

          public static final DLNAHeader.Type BufferInfo

    - #### RTPH264DeInterleaving

          public static final DLNAHeader.Type RTPH264DeInterleaving

    - #### RTPAACDeInterleaving

          public static final DLNAHeader.Type RTPAACDeInterleaving

    - #### RTPAMRDeInterleaving

          public static final DLNAHeader.Type RTPAMRDeInterleaving

    - #### RTPAMRWBPlusDeInterleaving

          public static final DLNAHeader.Type RTPAMRWBPlusDeInterleaving

    - #### PRAGMA

          public static final DLNAHeader.Type PRAGMA

  - ### Method Detail

    - #### values

          public static DLNAHeader.Type[] values()

      Returns an array containing the constants of this enum type, in the order they are declared. This method may be used to iterate over the constants as follows:

          for (DLNAHeader.Type c : DLNAHeader.Type.values())
              System.out.println(c);

      Returns:
        an array containing the constants of this enum type, in the order they are declared

    - #### valueOf

          public static DLNAHeader.Type valueOf(String name)

      Returns the enum constant of this type with the specified name. The string must match exactly an identifier used to declare an enum constant in this type. (Extraneous whitespace characters are not permitted.)
      Parameters:
        `name` - the name of the enum constant to be returned.
      Returns:
        the enum constant with the specified name
      Throws:
        `IllegalArgumentException` - if this enum type has no constant with the specified name
        `NullPointerException` - if the argument is null

    - #### getHttpName

          public String getHttpName()

    - #### getHeaderTypes

          public Class<? extends DLNAHeader>[] getHeaderTypes()

    - #### isValidHeaderType

          public boolean isValidHeaderType(Class<? extends DLNAHeader> clazz)

    - #### getByHttpName

          public static DLNAHeader.Type getByHttpName(String httpName)

      Parameters:
        `httpName` - A case-insensitive HTTP header name.

Copyright © 2015 4th Line GmbH, Switzerland. All rights reserved.